Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Record Class AbstractFieldMetaData.FieldKey

java.lang.Object
java.lang.Record
org.firebirdsql.jdbc.AbstractFieldMetaData.FieldKey

Record Components:
  `relationName` - relation name
  `fieldName` - field name

Enclosing class:
  AbstractFieldMetaData

protected static record AbstractFieldMetaData.FieldKey(String relationName, String fieldName) extends Record
A composite key for internal field mapping structures.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `FieldKey(String relationName, String fieldName)`
  Creates an instance of a `FieldKey` record class.
  ``
  `FieldKey(FieldDescriptor fieldDescriptor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `fieldName()`
  Returns the value of the `fieldName` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `relationName()`
  Returns the value of the `relationName` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FieldKey

    public FieldKey(FieldDescriptor fieldDescriptor)

  - ### FieldKey

    protected FieldKey(String relationName, String fieldName)
    Creates an instance of a `FieldKey` record class.
    Parameters:
      `relationName` - the value for the `relationName` record component
      `fieldName` - the value for the `fieldName` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### relationName

    public String relationName()
    Returns the value of the `relationName` record component.
    Returns:
      the value of the `relationName` record component

  - ### fieldName

    public String fieldName()
    Returns the value of the `fieldName` record component.
    Returns:
      the value of the `fieldName` record component